Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxcell.server
Class ChartRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.jxcell.server.ChartRuntimeException

All Implemented Interfaces:
  java.io.Serializable

public class ChartRuntimeException
extends java.lang.RuntimeException

See Also:
  Serialized Form

Constructor Summary
`ChartRuntimeException()`
`ChartRuntimeException(java.lang.String s)`
`ChartRuntimeException(java.lang.String s, java.lang.Exception exception)`
`ChartRuntimeException(java.lang.Throwable throwable)`

Method Summary
`java.lang.Throwable` | `getCause()`
`static java.lang.Throwable` | `getCause(java.lang.Throwable throwable)`
`static java.lang.String` | `getParseExceptionMessage(java.lang.Throwable throwable)`
`void` | `printStackTrace(java.io.PrintStream printstream)`
`void` | `printStackTrace(java.io.PrintWriter printwriter)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChartRuntimeException

    public ChartRuntimeException()

### ChartRuntimeException

    public ChartRuntimeException(java.lang.String s)

### ChartRuntimeException

    public ChartRuntimeException(java.lang.Throwable throwable)

### ChartRuntimeException

    public ChartRuntimeException(java.lang.String s,
                                 java.lang.Exception exception)

Method Detail

### getCause

    public static java.lang.Throwable getCause(java.lang.Throwable throwable)

### getCause

    public java.lang.Throwable getCause()

### getParseExceptionMessage

    public static java.lang.String getParseExceptionMessage(java.lang.Throwable throwable)

### printStackTrace

    public void printStackTrace(java.io.PrintWriter printwriter)

### printStackTrace

    public void printStackTrace(java.io.PrintStream printstream)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD